Bug 25152 - subscription.closed is a boolean and must be tinyint(1)
Summary: subscription.closed is a boolean and must be tinyint(1)
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-15 09:24 UTC by Jonathan Druart
Modified: 2020-05-16 15:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25152: Make subscription.closed tinyint(1) (1.89 KB, patch)
2020-04-15 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25152: Make subscription.closed tinyint(1) (1.96 KB, patch)
2020-04-15 11:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-04-15 09:24:37 UTC
instead of int(1)

https://wiki.koha-community.org/wiki/Coding_Guidelines#SQL12:_Booleans
Comment 1 Jonathan Druart 2020-04-15 09:31:12 UTC
Created attachment 102976 [details] [review]
Bug 25152: Make subscription.closed tinyint(1)

https://wiki.koha-community.org/wiki/Coding_Guidelines#SQL12:_Booleans

Boolean fields must be tinyint(1), not int(1)
Comment 2 Martin Renvoize 2020-04-15 11:18:55 UTC
Created attachment 102987 [details] [review]
Bug 25152: Make subscription.closed tinyint(1)

https://wiki.koha-community.org/wiki/Coding_Guidelines#SQL12:_Booleans

Boolean fields must be tinyint(1), not int(1)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-04-15 11:19:18 UTC
Nice simple fix, going straight for PQA
Comment 4 Martin Renvoize 2020-04-15 11:19:50 UTC
Note to self.. remember to add the boolean def in the schema class file upon push.
Comment 5 Martin Renvoize 2020-04-15 11:40:24 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Jonathan Druart 2020-04-15 12:51:15 UTC
(In reply to Martin Renvoize from comment #4)
> Note to self.. remember to add the boolean def in the schema class file upon
> push.

Arg, I forgot that indeed!
Comment 7 Joy Nelson 2020-05-05 22:41:41 UTC
enhancement not backported to 19.11.x